Subject: Re: bug#13390: tramp-adb hanging forever

From: Thierry Volpiatto <[email-masked]>
Date: Mon, 18 Feb 2013 19:39:05 +0100

Hi Michael,

Michael Albinus <[email-masked]> writes:

> Thierry Volpiatto <[email-masked]> writes:
>
>> I saw that in log yes, how can I make tramp using
>> PATH=/sbin:/system/xbin:/system/bin
>> instead of:
>> 18:40:29.282486 tramp-send-command (6) #
>> PATH=/sbin:/system/bin:/system/xbin; export PATH
>
> (tramp-cleanup-all-connections)
> (add-to-list 'tramp-remote-path "/sbin")
> (add-to-list 'tramp-remote-path "/system/xbin")
>
> The cleanup is because Tramp remembers connection properties, like the
> remote path.

Ok it worked with SSHDroid and these settings:

(add-to-list 'tramp-connection-properties
     	     (list (regexp-quote "192.168.0.24") "remote-shell" "sh"))
(add-to-list 'tramp-remote-path 'tramp-own-remote-path)
(push "/system/xbin" tramp-remote-path)
(add-to-list 'tramp-remote-process-environment "TMPDIR=$HOME/tmp")

I will try now back with dropbear with same settings.

Thanks.

-- 
Thierry
Get my Gnupg key:
gpg --keyserver pgp.mit.edu --recv-keys 59F29997